<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_player"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="true" >

    <!-- top info -->

    <RelativeLayout
        android:id="@+id/activity_player_description_layout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/home_cell_height"
        android:layout_alignParentTop="true"
        android:background="@drawable/gradient_white_to_grey" >

        <RelativeLayout
            android:id="@+id/activity_player_radio_thumb_layout"
            android:layout_width="@dimen/home_cell_height"
            android:layout_height="match_parent" >

            <ImageView
                android:id="@+id/activity_player_radio_thumb"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_margin="@dimen/margin_small"
                android:minHeight="48dp"
                android:minWidth="48dp"
                android:src="@drawable/cd_bgdark"
                android:visibility="invisible" />

            <ProgressBar
                android:id="@+id/activity_player_radio_thumb_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:indeterminate="true"
                android:indeterminateDrawable="@drawable/progress_bar_custom"
                android:visibility="gone" />
        </RelativeLayout>

        <com.egdigital.allzic.ui.ScrollingTextView
            android:id="@+id/activity_player_radio_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginBottom="@dimen/margin_small"
            android:layout_marginLeft="@dimen/margin_small"
            android:layout_marginRight="@dimen/margin_medium"
            android:layout_marginTop="@dimen/margin_small"
            android:layout_toRightOf="@+id/activity_player_radio_thumb_layout"
            android:ellipsize="marquee"
            android:singleLine="true"
            android:textColor="@android:color/black"
            android:textSize="@dimen/text_size_large" />

        <TextView
            android:id="@+id/activity_player_radio_description"
            style="@android:style/TextAppearance.Small"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/activity_player_readmore"
            android:layout_below="@+id/activity_player_radio_title"
            android:layout_marginBottom="@dimen/margin_small"
            android:layout_marginLeft="@dimen/margin_small"
            android:layout_marginRight="@dimen/margin_medium"
            android:layout_toRightOf="@+id/activity_player_radio_thumb_layout"
            android:ellipsize="marquee"
            android:textColor="@color/clr_dark_grey" />

        <TextView
            android:id="@+id/activity_player_readmore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/margin_small"
            android:layout_marginLeft="@dimen/margin_small"
            android:layout_marginRight="@dimen/margin_medium"
            android:layout_toRightOf="@+id/activity_player_radio_thumb_layout"
            android:singleLine="true"
            android:text="Lire la suite..."
            android:textSize="@dimen/text_size_medium" />
    </RelativeLayout>

    <View
        android:id="@+id/activity_player_line1"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:layout_below="@+id/activity_player_description_layout"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:layout_marginTop="1px"
        android:background="@color/clr_main" />

    <!-- mid content -->

    <FrameLayout
        android:id="@+id/player_mid_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/activity_player_pub_layout"
        android:layout_below="@+id/activity_player_description_layout"
        android:animateLayoutChanges="true" >

        <FrameLayout
            android:id="@+id/player_album"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_margin="@dimen/margin_large"
            android:background="@color/clr_grey" >

            <ImageView
                android:id="@+id/fragment_album_player_image"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:adjustViewBounds="true" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:background="@drawable/zone_details"
                android:scaleType="centerInside" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:gravity="left"
                android:orientation="vertical"
                android:padding="@dimen/margin_medium" >

                <com.egdigital.allzic.ui.ScrollingTextView
                    android:id="@+id/fragment_player_artist_name"
                    style="@android:style/TextAppearance.Medium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="marquee"
                    android:singleLine="true"
                    android:textColor="@android:color/white" />

                <TextView
                    android:id="@+id/fragment_player_music_title"
                    style="@android:style/TextAppearance.Small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="marquee"
                    android:singleLine="true"
                    android:textColor="@android:color/white" />
            </LinearLayout>
        </FrameLayout>
        <!-- streaming loading -->

        <include
            android:id="@+id/fragment_player_loading_big"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            layout="@layout/view_loading_big"
            android:visibility="gone" />
    </FrameLayout>

    <!-- adswizz -->

    <RelativeLayout
        android:id="@+id/activity_player_pub_layout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/pub_banner_height"
        android:layout_above="@+id/activity_player_controls"
        android:background="@color/clr_dark_grey" >

        <ImageView
            android:id="@+id/activity_player_pub"
            android:layout_width="match_parent"
            android:layout_height="@dimen/pub_banner_height"
            android:background="@android:color/transparent"
            android:clickable="true"
            android:scaleType="centerInside" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/activity_player_controls"
        android:layout_width="match_parent"
        android:layout_height="@dimen/player_control_height"
        android:layout_alignParentBottom="true"
        android:background="@color/clr_player" >

        <!-- controls -->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_above="@+id/activity_player_partage"
            android:gravity="center_vertical"
            android:orientation="horizontal" >

            <ProgressBar
                android:id="@+id/activity_player_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin_medium"
                android:layout_weight="5"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/activity_player_play"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_margin="@dimen/margin_medium"
                android:layout_weight="5"
                android:background="@drawable/selector_player_banner"
                android:src="@drawable/selector_btn_play" />

            <SeekBar
                android:id="@+id/activity_player_volume"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/margin_medium"
                android:layout_marginRight="@dimen/margin_medium"
                android:layout_weight="90"
                android:max="100"
                android:thumb="@drawable/bt_timeline" />

            <ImageButton
                android:id="@+id/activity_player_sound"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginRight="@dimen/margin_medium"
                android:layout_weight="5"
                android:background="@android:color/transparent"
                android:src="@drawable/selector_btn_sound" />
        </LinearLayout>

        <!-- partage -->

        <LinearLayout
            android:id="@+id/activity_player_partage"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_margin="@dimen/margin_medium"
            android:orientation="horizontal" >

            <ImageButton
                android:id="@+id/activity_player_like"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="30"
                android:background="@android:color/transparent"
                android:src="@drawable/selector_btn_like" />

            <ImageButton
                android:id="@+id/activity_player_facebook"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="30"
                android:background="@android:color/transparent"
                android:src="@drawable/selector_btn_facebook" />

            <ImageButton
                android:id="@+id/activity_player_twitter"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="30"
                android:background="@android:color/transparent"
                android:src="@drawable/selector_btn_twitter" />
        </LinearLayout>
    </RelativeLayout>

</RelativeLayout>